
ctools - Support #2655

negative slope for CR

08/01/2018 10:25 AM - Sokolenko Anastasia

Status: Closed Start date: 08/01/2018

Priority: Normal Due date:  

Assigned To:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

We were doing a simulation of a cosmic ray background with a spectral model given by a constant (i.e. powerlaw with a slope=0) and

fitting the simulated data with ctlike assuming the slope to be free. We found, that the best-fit slopes are systematically negative for

200 random realizations of CR data.

May you take a look on this issue, please? Potentially it can lead to biased estimation of the slopes of any other sources present in

the model.

We checked, that this issue is present in ctools 1.5.2.

History

#1 - 08/01/2018 11:39 AM - Knödlseder Jürgen

- Tracker changed from Bug to Support

My suspicion is that this is simply the numerical accuracy of the code. You are comparing pretty tiny numbers here. The difference between observed

and predicted counts is 0.003, hence a relative precision of 6.3e-10!

But the difference is not zero, hence there is of course an error/bias somewhere. I guess you will also see a bias in the Prefactor.

You can always increase numerical accuracy at the expense of speed. In other words, there is a trade-off between accuracy and speed, and the

trade-off was placed so that astrophysical results should never be worse than 1% (they often are much better).

#2 - 07/15/2020 08:22 PM - Knödlseder Jürgen

- Status changed from New to Closed

Files

indexes.pdf 11.5 KB 08/01/2018 Sokolenko Anastasia
